HARDINFO(1)

NAME
Hardinfo2 - System Information and Benchmark for Linux Systems.

USAGE
hardinfo2 [OPTION...]

DESCRIPTION
Is a system information and benchmark for Linux systems, that gathers information about the hardware and operating system, performs benchmarks with online compare against other machines, and generates reports.

Online Userguide with more info: https://hardinfo2.org/userguide

OPTIONS

-h, --help
    Show help options

-q, --quiet
    do not print status messages to standard output

-r, --generate-report
    creates a report and prints to standard output

-f, --report-format
    chooses a report format (text, html)

-t, --topic
    search for a topic in CLI report (-t getlist shows available)

-c, --topic-cache
    search for a topic in Cached CLI report (-t getlist shows available)

-b, --run-benchmark
    run a specific benchmark eg. -b 'FPU FFT' (Default all benchmarks runs when generate report)

-u, --user-note Group-MachineName[-ServerReq]
    adds a user note to data send to server. When added eg. -u 1 synchronization is activated. Letters (small+caps) and numbers and dashes are accepted. Length max 50. 0-2 dashes used as seperator. Format Group-MachineName-ServerReq Group and MachineName are for anonymous identification and can put benchmarks into a group and you can sort of identify each machine by your chosen string. ServerReq is to tell the server which records you want to get. See https://hardinfo2.org/userguide#usernote for more details about the Server Request strings available.

-g, --result-format
    chooses a result format (short, conf, shell)

-n, --max-results
    maximum number of benchmark results to include (-1 for no limit, default is 50)

-v, --version
    shows program version and quit

-s, --skip-benchmark
    Disables all benchmark runs.

-w, --very-verbose
    show all details

EXAMPLES
examples of CLI command usage:

hardinfo2 -b 'FPU FFT'
    runs only FPU FFT benchmark

hardinfo2 -u 1
    enable updates at startup and starts gui (can also be set in gui)

hardinfo2 -u choosengroup-choosenid -r
    Updates data from server, generate CLI report and sends benchmark with user-note. See more at https://hardinfo2.org/userguide#usernote

hardinfo2 -r
    generates CLI report

COPYRIGHT
Hardinfo2 is Copyright © 2003-2023 L. A. F. Pereira, 2024- Hardinfo2 Project. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.